Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.context
Class GrailsContextLoader

    java.lang.Object
      org.springframework.web.context.ContextLoader
          org.codehaus.groovy.grails.web.context.GrailsContextLoader

    public class GrailsContextLoader

extends ContextLoader

Author:
  graemerocher

Field Summary
`(package private) GrailsApplication` | `application`
`static org.apache.commons.logging.Log` | `LOG`

Fields inherited from class org.springframework.web.context.ContextLoader
`CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, LOCATOR_FACTORY_KEY_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM`

Constructor Summary
`GrailsContextLoader()`

Method Summary
`void` | `closeWebApplicationContext(ServletContext servletContext)`
`protected WebApplicationContext` | `createWebApplicationContext(ServletContext servletContext, ApplicationContext parent)`

Methods inherited from class org.springframework.web.context.ContextLoader
`customizeContext, determineContextClass, getCurrentWebApplicationContext, initWebApplicationContext, loadParentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

### application

    GrailsApplication application

Constructor Detail

### GrailsContextLoader

    public GrailsContextLoader()

Method Detail

### createWebApplicationContext

    protected WebApplicationContext createWebApplicationContext(ServletContext servletContext,
                                                                ApplicationContext parent)
                                                         throws BeansException

  Overrides:
    `createWebApplicationContext` in class `ContextLoader`
  Throws:
    `BeansException`

### closeWebApplicationContext

    public void closeWebApplicationContext(ServletContext servletContext)

  Overrides:
    `closeWebApplicationContext` in class `ContextLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD